<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Sac_model extends CI_Model {

    public function __construct() {
        parent::__construct();
        //$this->vip = $this->load->database('vip', TRUE);
    }

    

    public function get_cadastros($nome)
    {
        $query = $this->db->query("SELECT email  FROM `aluno` WHERE `nome` = '".$nome."' and `nome` <> ' ' ");

        $resultado = $query->result();
        
        return $resultado;
    }
    
     public function get_faturas_nao_pagas($nome)
    {
        $query = $this->db->query("SELECT data_compra,pedido.valor,curso.nome,transacao,cod_interme FROM `pedido` join item_pedido using(transacao) join historico on(historico.id=item_pedido.id_historico)  join curso using(id_curso) WHERE   pedido.situacao not in (3,7) and  cod_interme is not null and date(data_compra) between DATE_SUB(curdate(), INTERVAL 90 DAY) and curdate() and pedido.`id_aluno`= '".$nome."'");
        
        $resultado = $query->result();
        
        return $resultado;
    }
    
    
    public function get_faturas_pagas_7dias($nome)
    {
        $query = $this->db->query("SELECT *  FROM `pedido` join item_pedido using(transacao) join historico on(historico.id=item_pedido.id_historico)  join curso using(id_curso) WHERE pedido.situacao = '3' and date(data_compra) between DATE_SUB(curdate(), INTERVAL 7 DAY) and curdate() and pedido.id_aluno= '".$nome."' group by historico.id_historico");

//        echo $this->db->last_query();
//        exit();
        $resultado = $query->result();
        
        return $resultado;
    }
    
    public function get_aluno_log($nome)
    {
        $query = $this->db->query("SELECT *, log_aluno.cpf cpflog  FROM aluno  join `log_aluno` using(id_aluno) WHERE `id_fic`='".$nome."' ORDER BY `log_aluno`.`id_log_aluno` DESC ");
       
        $resultado = $query->row();
        
//        echo "<pre>";
//        print_r($resultado);
//        exit();
        return $resultado;
    }
    
    public function get_aluno($nome)
    {
        $query = $this->db->query("SELECT * FROM aluno  WHERE `id_fic`='".$nome."' ");
       
        $resultado = $query->row();
        
//        echo "<pre>";
//        print_r($resultado);
//        exit();
        return $resultado;
    }

    
}
